import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional()
}).strict();
export const ProcedureTimeslotMaxAggregateInputObjectSchema: z.ZodType<Prisma.ProcedureTimeslotMaxAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.ProcedureTimeslotMaxAggregateInputType>;
export const ProcedureTimeslotMaxAggregateInputObjectZodSchema = makeSchema();
